; === T-MAIL ==================== MODEM PROFILE ===============================
;
;
; ------------------------------- Command strings ----------------------------
;
[1] Init1 ATH0| ; Modem initialization strings
[2] Init1 ATH0| ; Modem initialization strings
;
[1] Init2 ATZ|  ;
[2] Init2 ATZ|  ;
;
; Modem initialization string(s), sent to the modem when T-Mail is
; started and at the start of each even and queue re-scan
;
[1] Init_Terminal ATZ|    ; Terminal mode initialization string
[2] Init_Terminal ATZ|    ; Terminal mode initialization string
;
; Modem initialization string, sent to the modem, when entering Terminal
; emulation mode
;
[1] Modem_OK ATZ|                ; Modem "attention" string
[2] Modem_OK ATZ|                ; Modem "attention" string
;
; String sent to the modem to grab it's "attention".  The modem should 
; respond with "OK" if correctly initialized
;
[*] Dial_Prefix Default ATDT        ; Default
;
;  Flag implication is:-
;
;  V32B implies V32
;  V42  implies MNP
;  V42B implies V42
;  ZYX  implies V32B and V42B
;  H14  implies HST
;  H16  implies HST
;  H19  implies HST
;  H21  implies HST
;
; The string, to be sent to the modem, before dialing a telephone number.
; This would normally be ATDP for a pulse dial exchange or ATDT for a tone-
; dial exchange.  The first string matched is used as the dial prefix.
;
; Examples, for a Zyxel modem, for various nodelist flags:
;
; Dial_Prefix ZYX  AT&N35DT    ; ZYX
; Dial_Prefix V42  AT\N5DT     ; V42
; Dial_Prefix HST  ATL5DT      ; PVT
; Dial_Prefix CM   ATL0DT      ; CM
; Dial_Prefix FAX  ATK1DT      ; FAX
; Dial_Prefix Default ATDT     ; Default
;
;
[*] Dial_Suffix |                ; Dialing suffix
;
; String to be sent following the called number
;
[*] Dial_Terminate  v''^'|         ; Defines the characters to be sent to the
;                              modem to terminate a dial string.  The 
;                              default value is "v''^'|".  If it is desired
;                              not to drop DTR, it can be redefined as:
;                                       Dial_Terminate   ~|
;
[1] Onhook v~~^~ATH0|           ; Modem on-hook
[2] Onhook v~~^~ATH0|           ; Modem on-hook
;
; String to send to put the modem "on hook"
;
[1] Offhook ~ATM0H1|              ; Modem Off-hook
[2] Offhook ~ATM0H1|              ; Modem Off-hook
;
; String to send to put take modem "off hook"
;
[1] Modem_Answer  ~~ATA|        ; Force answer string
[2] Modem_Answer  ~~ATA|        ; Force answer string
;
; String to send to force te modem to answer an incoming call
;
; Statistics ATI2 |          ; Statistics command
;
; String to be sent to the modem to request session statistics.  The 
; resulting data is written to the log file
; ---------------------------------- Responses -------------------------------
;
Busy     BUSY                ; Busy string
No_Dial  NO DIAL             ; No dialtone string
Ring     RING                ; Ring string
Ringing  RINGING             ; Ringing string
;
; Strings, sent by the modem, according to conditions or events.  e.g. when 
; an outgoing call is made and the line is "engaged", the response defined 
; by the "busy" variable will be expected.
;
; Valid  PROTOCOL: Prot:     ; Valid connection response
; Valid  COMPRESSION: Comp   ; Valid connection response
; Valid  CARRIER             ; Valid connection response
;
; The Valid variable is used to define replacement strings in modem 
; responses. The first parameter is the string to be search for and the 
; second, the string used to replace it.  If no replacement string is 
; given, only the argument is removed.  The response created by this means 
; must not exceed 60 bytes and up to 16 response/replacement pairs may be 
; defined.
;
AttemptOn NO CARRIER NO ANSWER; Increments call attempt counter
;
; If these responses are received from the modem, a failed attempt is 
; recorded and the number of call attempts is incremented.
;
; AnswerOn RING NO DIALTONE
;
; Defines the string(s) which, when received from the modem, will cause 
; T-Mail to instruct the modem to answer the incoming call.
;
; External NO DIALTONE | test.bat  *P *N
; External NO CARRIER  | test1.cmd *O
; External CONNECT FAX | runfax.cmd *O
;
; Defines the external program response handler(s).  These are programs
; or batch files which are executed when a specific response is received
; from the modem.  Up to 16 such responses may be defined.
;
Connect_300   CONNECT        ;   300 bps connect string
Connect_1200  CONNECT 1200   ;  1200 bps connect string
Connect_2400  CONNECT 2400   ;  2400 bps connect string
Connect_4800  CONNECT 4800   ;  4800 bps connect string
Connect_7200  CONNECT 7200   ;  7200 bps connect string
Connect_9600  CONNECT 9600   ;  9600 bps connect string
Connect_12000 CONNECT 12000  ; 12000 bps connect string
Connect_14400 CONNECT 14400  ; 14400 bps connect string
Connect_16800 CONNECT 16800  ; 16800 bps connect string
Connect_19200 CONNECT 19200  ; 19200 bps connect string
Connect_21600 CONNECT 21600  ; 21600 bps connect string
Connect_24000 CONNECT 24000  ; 24000 bps connect string
Connect_26400 CONNECT 26400  ; 26400 bps connect string
Connect_28800 CONNECT 28800  ; 28800 bps connect string
Connect_31200 CONNECT 31200  ; 31200 bps connect string
Connect_33600 CONNECT 33600  ; 33600 bps connect string
Connect_57600 CONNECT 57600  ; 57600 bps connect string
Connect_64000 CONNECT 64000  ; 64000 bps connect string
;
; Define the response codes indicating a valid connection has been 
; established.  The connection speed indicated here is the modem to
; modem (DCE-DCE) speed and not the computer to modem (DTE-DCE) speed.
;
;
; The variable 'HalfDuplex' may be used to define CONNECT substrings 
; for which full-duplex protocols are disabled
;
;   Example (mode.ctl)
;
;   HalfDuplex   HST PEP
;
;          
; The variable 'Error_Correction' defines the list of CONNECT substrings
; which determine an error detect/correct connection.
; 
;   Example (modem.ctl)
;
;   Error_Correction  V42 MNP ARQ REL HST
;
;   default values:
;   Error_Correction  V42 MNP ARQ .42 X. REL ALT PEP HST LAP COMP
;
; ============================== End of modem.ctl ==============================
